Уязвимость при обработке файлов в GNU Emacs

Дата публикации:
14.05.2008
Дата изменения:
14.05.2008
Всего просмотров:
828
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU Emacs 21.x
XEmacs 21.x
Уязвимые версии:
GNU Emacs 21.3.1, возможно более ранние версии
XEmacs 21.4 и 21.5, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки при обработке fast-lock файлов (.flc) для соответствующих исходных файлов. Злоумышленник может выполнить произвольный Emacs Lisp код, когда исходный файл открыт и специально сформированный fast-lock файл находится в той же директории.

URL производителя: www.gnu.org/software/emacs/emacs.html

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA